Bug 1752980 (CVE-2019-14843) - CVE-2019-14843 wildfly-security-manager: security manager authorization bypass
Summary: CVE-2019-14843 wildfly-security-manager: security manager authorization bypass
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-14843
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1751111
TreeView+ depends on / blocked
 
Reported: 2019-09-17 17:32 UTC by Chess Hazlett
Modified: 2020-01-27 23:30 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Wildfly Security Manager, running under JDK 11 or 8, that authorized requests for any requester. This flaw could be used by a malicious app deployed on the app server to access unauthorized information and possibly conduct further attacks.
Clone Of:
Environment:
Last Closed: 2019-11-25 19:04:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2973 None None None 2019-10-07 17:29:05 UTC
Red Hat Product Errata RHSA-2019:2974 None None None 2019-10-07 17:19:20 UTC
Red Hat Product Errata RHSA-2019:4018 None None None 2019-11-26 19:55:53 UTC
Red Hat Product Errata RHSA-2019:4019 None None None 2019-11-26 20:00:13 UTC
Red Hat Product Errata RHSA-2019:4020 None None None 2019-11-26 19:57:29 UTC
Red Hat Product Errata RHSA-2019:4021 None None None 2019-11-26 19:59:06 UTC
Red Hat Product Errata RHSA-2019:4040 None None None 2019-12-02 17:03:44 UTC
Red Hat Product Errata RHSA-2019:4041 None None None 2019-12-02 17:03:09 UTC
Red Hat Product Errata RHSA-2019:4042 None None None 2019-12-02 17:04:03 UTC
Red Hat Product Errata RHSA-2019:4045 None None None 2019-12-02 17:21:43 UTC

Description Chess Hazlett 2019-09-17 17:32:11 UTC
It was found that the Wildfly Security Manager, running under JDK 11 or 8, would authorize requests for any requester. This flaw could be used by a malicious app deployed on the app server to access unauthorized information and possibly conduct further attacks.

Comment 3 santaclaus 2019-09-30 06:24:23 UTC
Hello, 

I have a short question:

Does this security flaw imply an attacker could break into the wildfly server, or does it mean that an attacker could break into the underlying linux system?
Is this lib secure to use, if you have it as a dependency only, but there is no wildfly running.

Thank you very much in advance!

Kind regards.

Comment 4 errata-xmlrpc 2019-10-07 17:19:18 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2019:2974 https://access.redhat.com/errata/RHSA-2019:2974

Comment 5 errata-xmlrpc 2019-10-07 17:29:03 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 7
  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 6
  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 8

Via RHSA-2019:2973 https://access.redhat.com/errata/RHSA-2019:2973

Comment 6 Product Security DevOps Team 2019-11-25 19:04:52 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-14843

Comment 8 errata-xmlrpc 2019-11-26 19:55:51 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 6

Via RHSA-2019:4018 https://access.redhat.com/errata/RHSA-2019:4018

Comment 9 errata-xmlrpc 2019-11-26 19:57:28 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 8

Via RHSA-2019:4020 https://access.redhat.com/errata/RHSA-2019:4020

Comment 10 errata-xmlrpc 2019-11-26 19:59:04 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2019:4021 https://access.redhat.com/errata/RHSA-2019:4021

Comment 11 errata-xmlrpc 2019-11-26 20:00:11 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 7

Via RHSA-2019:4019 https://access.redhat.com/errata/RHSA-2019:4019

Comment 12 errata-xmlrpc 2019-12-02 17:03:07 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.3 for RHEL 7

Via RHSA-2019:4041 https://access.redhat.com/errata/RHSA-2019:4041

Comment 13 errata-xmlrpc 2019-12-02 17:03:42 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.3 for RHEL 6

Via RHSA-2019:4040 https://access.redhat.com/errata/RHSA-2019:4040

Comment 14 errata-xmlrpc 2019-12-02 17:04:01 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.3 for RHEL 8

Via RHSA-2019:4042 https://access.redhat.com/errata/RHSA-2019:4042

Comment 15 errata-xmlrpc 2019-12-02 17:21:41 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On

Via RHSA-2019:4045 https://access.redhat.com/errata/RHSA-2019:4045

Comment 17 Chess Hazlett 2020-01-27 17:45:00 UTC
Mitigation:

This flaw only affects the Security Manager running under JDK 11 or 8. To mitigate exposure to this flaw, do not run under those JDK versions.


Note You need to log in before you can comment on or make changes to this bug.